package kcg.imis.cmmn.service;

import java.util.HashMap;
import java.util.List;

import kcg.imis.cmmn.vo.MenuVO;
import egovframework.rte.psl.dataaccess.util.EgovMap;

/**
  * @FileName : MenuService.java
  * @Project : 국제해양프로젝트
  * @Date : 2018. 3. 29. 
  * @작성자 : Moon
  * @변경이력 : 
  * @프로그램 설명 :
 */
public interface MenuService {

	/**
	 * 현재 메뉴와 상위메뉴 목록을 반환한다.
	 * 
	 * @param menuVO
	 *            검색조건 VO
	 * @return 현재 메뉴를 포함한 상위메뉴 목록
	 */
	List<MenuVO> selectMainMenu(MenuVO menuVO);
	

	/**
	 * 게시판 메뉴에 대한 정보를 가져온다.
	 * 
	 * @param menu
	 *            가져올 메뉴정보
	 * @return 데이터 맵
	 */
	EgovMap getMenuInfo(HashMap<String, Object> menu);
	
	List<EgovMap> selectListWithHigher(String menuId);
	
	List<MenuVO> getSubMenu(EgovMap map);

	List<MenuVO> getTopMenu();
}
